<div class="flex flex-col flex-auto items-center sm:min-w-0" style="background-color: #F8F8F8;">
    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="backButton()"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex flex-col sm:flex-row sm:flex-wrap sm:mx-6 sm:mt-4">
        <div class="sm:flex-1">
            <div class="text-indigo-900 font-Semibold-40 leading-none mt-6 sm:px-6 mb-7" style="text-align:center">
                Top Up Confirmation
            </div>
        </div>
    </div>
    <div class="w-full items-center justify-center max-w-100 sm:w-100 mx-auto sm:mx-0 mb-10 box-width">
        <div class="">
            <!-- Main -->
            <!-- CONTENT GOES HERE -->
            <form>
                <div class="bg-card rounded-1xl shadow overflow-hidden pb-3 ">
                    <div class="items-center justify-center" style="text-align:left">
                        <div class="pb-5 mt-7 ml-7">
                            <div class="font-Semibold-18">Payment Details
                            </div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">Date</div>
                            <div class="font-Semibold-16">{{ today | date:'dd MMMM yyyy - hh:mm:ss a' }}</div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">Top Up Method</div>
                            <div class="font-Semibold-16">{{ transactionMethod }}</div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">Top Up Amount</div>
                            <div class="font-Semibold-16">RM{{ amount | number:'1.2-2'}}</div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">Transaction Fee {{setuptransfees |
                                number:'1.2-2'}}{{transSetupUom}}</div>
                            <div class="font-Semibold-16">RM{{ chargeTransFee | number:'1.2-2' }}</div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">SST {{setupsstfees |
                                number:'1.2-2'}}{{SstSetupUom}}</div>
                            <div class="font-Semibold-16">RM{{ chargeSstFee | number:'1.2-2' }}</div>
                        </div>
                        <div class="border-t my-2 mx-7"></div>
                        <div class="pb-5 ml-7 pt-5">
                            <div class="font-Regular-16 font-7B7B7B">Total Receiveable Amount</div>
                            <div class="font-Semibold-16">RM{{ totalAmount | number:'1.2-2' }}</div>
                        </div>


                        <div class="relative flex flex-col flex-auto items-center w-auto mb-3 mt-5 mx-7">
                            <button class="fuse-mat-button-large w-full button-r5" mat-flat-button [color]="'primary'"
                                (click)="topupNow()">
                                <span class="font-Semibold-14">Confirm</span>
                            </button>
                            <!-- <button class="fuse-mat-button-large w-full button-r5-white mt-3"
                                style="border:1px solid #0038FF !important;" mat-flat-button
                                [routerLink]="['/cash-wallet']">
                                <span class="font-Semibold-14" style="color: #0038FF;">Cancel</span>
                            </button> -->
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>